GEN_REPLACE_ESTIMA(9)

NAME
gen_replace_estimator - replace rate estimator configruation

SYNOPSIS

int gen_replace_estimator (struct gnet_stats_basic * bstats, struct gnet_stats_rate_est * rate_est, spinlock_t * stats_lock, struct rtattr * opt);

ARGUMENTS

bstats
    basic statistics

rate_est
    rate estimator statistics

stats_lock
    statistics lock

opt rate estimator configuration TLV

DESCRIPTION

Replaces the configuration of a rate estimator by calling gen_kill_estimator and gen_new_estimator.

Returns 0 on success or a negative error code.